package com.mortals.xhx.module.customer.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.customer.model.CustomerWorkDesignEntity;
/**
* CustomerWorkDesignService
*
* 客户作品信息 service接口
*
* @author zxfei
* @date 2022-06-14
*/
public interface CustomerWorkDesignService extends ICRUDService<CustomerWorkDesignEntity,Long>{

    /**
     * 客户发布作品
     * @param entity
     * @param context
     * @return
     * @throws AppException
     */
    int release(CustomerWorkDesignEntity entity, Context context,String customerName) throws AppException;

    /**
     * 客户取消已发布作品
     * @param designId
     * @return
     * @throws AppException
     */
    int cancelRelease(Long designId) throws AppException;
}